<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
    $act = check($_GET['act']);
} else {
    $act = 'index';
} 

if (!is_user() && $act == 'menu') {
    header ('Location: ' . BASEDIR . 'index.php?' . SID);
    exit;
} 
if ($act == 'index') {
    header ('Location: ' . BASEDIR . 'index.php?' . SID);
    exit;
} 

if (preg_match('|^[a-z0-9_\-]+$|i', $act)) {
    if (file_exists(DATADIR . 'main/' . $act . '.dat')) {
        include (DATADIR . 'main/' . $act . '.dat');
    } else {
        show_error('Ошибка, такой страницы не существует!');
    } 
} else {
    show_error('Ошибка, недопустимое название страницы!');
} 

echo '<img src="' . BASEDIR . 'images/img/act_home.gif" alt="image" /> <a href="' . BASEDIR . 'index.php?' . SID . '">На главную</a>';

include_once "../themes/" . $config['themes'] . "/foot.php";

?>